Tryton - Issues

 

Issue7211

Title 4.6 client TypeError: %d format: a number is required, not NoneType
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, risto3, roundup-bot
Type crash Components tryton
Assigned To ced Keywords review
Reviews 43231002
View: 43231002

Created on 2018-03-10.11:18:14 by risto3, last changed by roundup-bot.

Messages
New changeset 02fb1fad5f37 by Cédric Krier in branch '4.6':
Raise exception when the Lock for Login could not be acquired
http://hg.tryton.org/tryton/rev/02fb1fad5f37
New changeset 13fffff09a21 by Cédric Krier in branch 'default':
Raise exception when the Lock for Login could not be acquired
http://hg.tryton.org/tryton/rev/13fffff09a21
msg38931 (view) Author: [hidden] (risto3) Date: 2018-03-10.17:10:12
so far so good +1
review43231002 updated at https://codereview.tryton.org/43231002/#ps1
msg38929 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-10.13:04:21
It should be fixed with review43231002
msg38927 (view) Author: [hidden] (risto3) Date: 2018-03-10.12:28:09
Sorry, I guess it's 4.6.4 according to `hg diff -r 4.6.3`
msg38926 (view) Author: [hidden] (risto3) Date: 2018-03-10.12:20:08
Just noticed that it's not always the same traceback...
This time I was in accounting moves, and got:

Traceback (most recent call last):
  File "/home/richard/src/hg-tryton/tryton/tryton/gui/window/view_form/screen/screen.py", line 433, in update_attachment
    self.signal('attachment-count', attachment_count)
  File "/home/richard/src/hg-tryton/tryton/tryton/signal_event.py", line 14, in signal
    fnct(self, signal_data, *data)
  File "/home/richard/src/hg-tryton/tryton/tryton/gui/window/form.py", line 118, in _attachment_count
    label = _('Attachment(%d)') % signal_data
TypeError: %d format: a number is required, not NoneType
msg38925 (view) Author: [hidden] (risto3) Date: 2018-03-10.12:17:28
I believe so, I see it in history
I'm at 4.6.3

richard@sarchx64:/home/richard/src/hg-tryton/tryton$ hg summary
parent: 5534:bcdada974d5e 
 Increase version number
branch: 4.6
commit: (clean)
update: (current)
msg38924 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-10.12:05:22
Have you the fix of issue7094 ?
msg38923 (view) Author: [hidden] (risto3) Date: 2018-03-10.11:18:13
The client imposes to re-enter the password when not active for awhile...

I notice quite frequently, but not necessarily *always*, that I get the following
after clicking on the client window for focus, as it brings up the password dialog 

Traceback (most recent call last):
  File "/home/richard/src/hg-tryton/tryton/tryton/gui/window/view_form/screen/screen.py", line 441, in update_note
    self.signal('unread-note', unread_note)
  File "/home/richard/src/hg-tryton/tryton/tryton/signal_event.py", line 14, in signal
    fnct(self, signal_data, *data)
  File "/home/richard/src/hg-tryton/tryton/tryton/gui/window/form.py", line 144, in _unread_note
    label = _('Note(%d)') % signal_data
TypeError: %d format: a number is required, not NoneType
History
Date User Action Args
2018-03-30 20:04:41cedlinkissue6970 superseder
2018-03-25 01:50:49roundup-botsetmessages: + msg39353
2018-03-19 15:58:06roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg39089
2018-03-10 17:10:12risto3setmessages: + msg38931
2018-03-10 13:14:50reviewbotsetnosy: + reviewbot
messages: + msg38930
2018-03-10 13:04:21cedsetstatus: need-eg -> testing
keyword: + review
messages: + msg38929
reviews: 43231002
assignedto: ced
type: crash
2018-03-10 12:28:10risto3setmessages: + msg38927
2018-03-10 12:20:08risto3setmessages: + msg38926
2018-03-10 12:17:29risto3setmessages: + msg38925
2018-03-10 12:05:22cedsetstatus: unread -> need-eg
nosy: + ced
messages: + msg38924

Showing 10 items. Show all history (warning: this could be VERY long)